<template>
<!-- :class="{delshow:delflag,delhide:!delflag}" -->
  <div class="picture">
    <img class="deleteImg"
         :src="deleteImg"
         v-if=" picture.delete===true"
         @click="deletePictrue()" />
    <img class="bgImg" :src="picture.url" @click="getPicture" />
    
    <!--弹出框-->
    <v-hintbox :hintbox="hintbox" @close="close1" ></v-hintbox>
  </div>
</template>

<script type="text/ecmascript-6">
  import hintbox from '@/components/hintbox/hintbox.vue'
  import config from '@/config'
  import store from "@/store";
  export default {
    data(){
      return{
        hintbox:{
          text :'',
          show : false
        },
        text1:'',
        delflag:false,
        bigpicture:"",
        Show : false,
        deleteImg : config.url + "ic-entrycarecard-cancel.png",
        bgImg: config.url + "ic-entrycarecard-photo.png",
        list:[
      {
        show : false,
          src :'http://oss.veevlink.com/custom/8848/image/example-box.jpg'
      },
      {
        show : false,
          src : 'http://oss.veevlink.com/custom/8848/image/example-phone.jpg'
      },
      {
        show : false,
          src : ''
      },
        ]
      }
    },
    components: {
      'v-hintbox' : hintbox,
    },
    props:{
      type:{
        /*
        type 为图片组件显示方式，get为纯展示， post 为提交模式
        */
        default(){
          return "post"
        }
      },
      index:{
        default(){
          return "'1'"
        }
      },

      picture:{
        default(){
          return {
            url:"",
            index:0,//序号
            delete : false,
            base:''
          }
        }
      }
    },
    computed:{
      del(){
        let that = this;
        console.log('picture=====',that.picture);
        if(that.picture.index === 0){
          that.text1 = '外箱';
          if(that.picture.url !== 'https://pic.8848phone.com/custom/8848/image/ic-entrycarecard-photo.png'){
            that.delflag = true;
          }
        }
        if(that.picture.index === 1){
          that.text1 = '裸机';
          if(that.picture.url !== config.url + "ic-entrycarecard-photo.png"){
            that.delflag = true;
          }
        }
        if(that.picture.index === 2){
          that.text1 = '通知';
          if(that.picture.url !== config.url + "ic-entrycarecard-photo.png"){
            that.delflag = true;
          }
        }

      }

    },
    methods:{
      close1(text){
        let that = this;
        if(text === '请先获取商品信息'){
          that.hintbox.text = '';
          that.hintbox.show = false;
        }
      },
      close(){
        let that = this;
        that.Show = false;
      },
      //示例放大图
      example(){
        let that = this;
        if(that.picture.index === 0){
          that.list[0].show = true;
        }
        if(that.picture.index === 1){
          that.list[1].show = true;
        }
        if(that.picture.index === 2){
          that.list[2].show = true;
        }
      },
      urlTobase64(url){
        wx.getFileSystemManager().readFile({
          filePath: url, //选择图片返回的相对路径
          encoding: 'base64', //编码格式
          success:(res) =>{
            let baseImg = 'data:image/png;base64,' + res.data
            // that.data.baseImg = baseImg;
            return baseImg;
            console.log('baseImg',baseImg);
          }
        })
      },
      deletePictrue(){
        let that = this;
        this.picture.delete = false;
        this.delflag = false;
        //this.bgImg = config.url + "ic-entrycarecard-photo.png";
        this.picture.url = config.url + "pic.png";
        console.log(this.picture.delete && type ==='post');
        that.$emit('urlEmit',that.picture);
        console.log('删除图片索引',this.picture.index);
        // wx.getSavedFileList({
        //   success (res) {
        //     if (res.fileList.length > 0){
        //       wx.removeSavedFile({
        //         filePath: res.fileList[0].filePath,
        //         complete (res) {
        //           console.log(res)
        //         }
        //       })
        //     }
        //   }
        // })
      },
      getPicture(){
        let that = this;
        console.log('picture',that.picture);
        
        // if(that.picture.url !== config.url + "ic-entrycarecard-photo.png" ){
        //   console.log('放大图片',);
        //   that.Show = true;
        //   that.bigpicture = that.picture.url;
        //   // return;
        // }else{
        //   let imgType = '';
        //     if(that.picture.openCamera == true && that.picture.openAlbum === true ){
        //       imgType = ['album', 'camera'];
        //       console.log('imgType',imgType);
        //     }
        //     if(that.picture.openCamera === true && that.picture.openAlbum === false){
        //       imgType = [ 'camera'];
        //       console.log('imgType',imgType);
        //     }
        //     if(that.picture.openCamera === false && that.picture.openAlbum === true){
        //       imgType = ['album'];
        //       console.log('imgType',imgType);
        //     }
        //     if(that.picture.openCamera === '' && that.picture.openAlbum === '') {
        //       this.hintbox.text = '请先获取商品信息';
        //       this.hintbox.show = true;
        //       return;
            // }
          wx.chooseImage({
            count: 1, // 默认9
            sizeType: [ 'compressed'], // 可以指定是原图还是压缩图，默认二者都有
            sourceType: ['album', 'camera'], // 可以指定来源是相册还是相机，默认二者都有
            success: function (res) {
              console.log(res);
              // 返回选定照片的本地文件路径列表，tempFilePath可以作为img标签的src属性显示图片
              that.bgImg = res.tempFilePaths[0];
              that.picture.url = res.tempFilePaths[0];
              wx.getFileSystemManager().readFile({ 
                filePath: that.picture.url, //选择图片返回的相对路径
                encoding: 'base64', //编码格式
                success:(res) =>{
                    console.log('baseImg',res);
                    let baseImg = 'data:image/png;base64,' + res.data;
                    that.picture.base = baseImg;
                    console.log('baseImg',baseImg);
                }
                })
              that.picture.delete = true;
              that.delflag = true;
              that.$emit('urlEmit',that.picture);
            }
          });
        // }

      },

    },
    onLoad() {
      let that = this;
      this.Show = false;
      that.delflag = false;
      console.log('delflag',that.delflag);




    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
  .delshow{
    display: block;
  }
  .delhide{
    display: none;
  }
  .picture{
    position: relative;
    margin-left: -0.05rem;
    .bgImg{
      width: 1.4rem;
      height: 1.4rem;
    //   margin-left: 0.32rem;
      margin-right: 0.3rem;
      border: 1px solid #ffffff;
    }
    .text{
      color: #999999;
      text-align:center;
      position:relative;
      top:-0.4rem;
      height: 0.4rem;
    }
    .example{
      color: #C98E52;
      text-align:center;
      position:relative;
      font-size: 0.32rem;
    }
    .deleteImg{
      position: absolute;
      width: 0.36rem;
      height: 0.36rem;
      right: 0.1rem;
      top: -0.18rem;
    }
    .bigphoto{
      .bigimg{
        position: fixed;
        z-index: 888;
        width: 5rem;
        min-height: 6rem;
        max-height: 8rem;
        top:2rem;
        left: 1.25rem;
        background-color:#fff;
      }
      .detele{
        position: fixed;
        top: 1.4rem;
        z-index: 999;
        width: 0.8rem;
        height: 0.8rem;
        right: 0.5rem;
      }
    }
  }
</style>
